#!/bin/sh
set -e

: ${PD:=pd}
scriptdir=${0%/*}

for d in "$@"; do
  patch=${d%.pd}.pd
  [ -e "${patch}" ] || patch="${scriptdir}/${patch}"
  if [ ! -e "${patch}" ]; then
	  echo "cannot find patch ${patch}" 1>&2
	  exit 127
  fi
  echo "testing ${d} (as ${patch})"
  ${PD} -noprefs -verbose -nogui -nrt -nosound -nomidi \
    -send "pd quit 2" \
    -open "${patch}" 2>&1
done
